#
# spec file for package ledmon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ledmon
Version:        0.79
Release:        13.3
Summary:        Enclosure LED Utilities
License:        GPL-2.0
Group:          Hardware/Other
Url:            http://sourceforge.net/projects/ledmon/
Source0:        http://sourceforge.net/projects/ledmon/files/ledmon-%{version}/%{name}-%{version}.tar.gz
Patch0:         Makefile-error-dependency.patch
BuildRequires:  libsgutils-devel
Provides:       sgpio:/sbin/ledmon
Provides:       sgpio:/{%{_bindir}}/ledctl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ledctl application and ledmon daemon are part of Intel(R) LED
ControlUtilities. They help to enable LED management for software RAID
solutions.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc README COPYING
%{_sbindir}/ledmon
%{_sbindir}/ledctl
%{_mandir}/man5/ledctl.conf.5.gz
%{_mandir}/man8/ledctl.8.gz
%{_mandir}/man8/ledmon.8.gz

%changelog
* Tue Jul 14 2015 werner@suse.de
- Let it build
* Mon Apr 20 2015 mpluskal@suse.com
- Use url for source
- Cleanupt spec file with spec-cleaner
* Mon Mar  2 2015 dimstar@opensuse.org
- Do not BuildRequire libsgutils2-2: pulling in the library is
  responsibility of the respective -devel packages.
* Tue Sep  2 2014 ro@suse.de
- sanitize release line in specfile
* Thu Dec  5 2013 lzhong@suse.com
- update to version 0.79
  * remove not-send-command-if-status-not-changed.patch
  * remove fix-gcc-error.patch
  * add Makefile-error-dependency.patch
* Tue Mar  5 2013 lzhong@suse.com
- Add not-send-command-if-status-not-changed.patch(bnc#794489)
* Tue Feb  5 2013 lzhong@suse.com
- Update version from 0.75 to latest version 0.76(fate#313626) for sles-11-sp3
* Mon Jan 14 2013 lzhong@suse.com
- Update version from 0.74 to latest version 0.75(fate#313626) for sles-11-sp3
* Fri Nov 16 2012 lzhong@suse.com
- Initial check in (fate#313626) for sles-11-sp3
* Tue Jun 21 2011 xwhu@novell.com
- Initial check in (fate#311809)
